Subject: Re: bug#4375: 23.1.50; can't kill killed gud buffer

From: Robert Marshall <[email-masked]>
Date: Wed, 09 Sep 2009 08:22:28 +0100

Nick Roberts wrote:
>  > Maybe associated with the other gdb error I have just reported.
>  > If I run gud with --annotate=3
>  > I get lots of pre-prompt and post-prompt output
>  > (perhaps this is to be expected), I kill the process with a signals KILL
>  > - off the pulldown menu) and if I then attempt to kill the *gud ...*
>  > buffer I get the message
>  >
>  > gdb-input: Buffer *gud-ipsa-scripted* has no process
>  >
>  > and the buffer is not killed :-(
>
>  That does seem to be a bug, I have a look at it.  However, Emacs 23.1.50
>  should run GDB using GDB/MI (gdb -i=mi) not annotations (gdb --annotate=3)
>  so you shouldn't see any pre-prompt and post-prompt output.  I don't know
>  if you've customized gud-gdb-command-name or if your're manually editing
>  in the mini-buffer but you need to start with something like:
>
>  Run gdb (like this): gdb -i=mi yourprog
>
>  and you shouldn't need to kill the debugger.  Note that to stop the 
inferior
>  (program being debugged) you use C-c C-c (comint-interrupt-subjob) which
>  is signals BREAK on the pulldown menu.
>
>
>  > ...
>  > In GNU Emacs 23.1.50.2 (x86_64-unknown-linux-gnu, GTK+ Version 2.16.1)
>  >  of 2009-09-08 on robert-laptop
>
Looks as if my earlier bug report hasn't appeared (the other bug was why 
I was trying --annotate)
If I run with -i=mi I get lots of

    mi_cmd_stack_info_frame: No arguments required
messages. Also if I try turning on tooltips when I hold the mouse over a 
variable I get the message

    error in process filter: Args out of range: "", 0, -1
There's also a longish wait on startup when it is turning off non stop mode
and I see the message there
    No symbol "non" in current context.
in the gdb buffer, I don't know if that is expected?

If I then do a quit in the debugger I also get the message about the 
process not running.

Robert

-- 
Robert A J Marshall, 
TNEI Services Ltd, 86-90 London Road, Manchester, M1 2PW
Registered in England & Wales No. 03891836,
Registered office:  Milburn House, Dean Street, Newcastle upon Tyne, NE1 1LE
tel: +44 161 615 6017; fax: +44 161 615 6001; mobile: +44 7759 688384
web: http://IPSA-Power.com